#include <stdio.h>

int main() {
    int x = 2, m[9];
    for(int i = 0; i < 8; ++i){
        for(int k = 0; k < i; ++k)
            x *= 2;
        m[i] = x;
        x = 2;
    }
    
    int i = 0;
    do{
        printf("%d\n",m[i]);
        i++;
    }while(i < 8);

    return 0;
}
